
#define _UART_C_

/******************************************************************************
*                             Include File Section                           *
******************************************************************************/
#include "uart.h"
#include "hal.h"

st_Uart stUart = {0, 0x7F, 0};  // ڽջṹ

/******************************************************************************
*                           Function Declare Section                         *
******************************************************************************/
/*============================== External Function ===========================*/
/****************************************************************
* Function Name: uart0_transmit
* Decription   : ڷж
* Calls        : 
* Called By    : 
* Input        : None
* Output       : None
* Return Value : None
* Others       : 
*------------------------- Revision History -------------------
* No. Version Date      Revised by   Item      Description     
* 1   V1.0    2011-1-23    AdhocNet  Original Version             
*****************************************************************/
#pragma vector=17
__interrupt void uart0_transmit(void)
{
}

/****************************************************************
* Function Name: uart0_receive
* Decription   : ڽж
* Calls        : 
* Called By    : 
* Input        : None
* Output       : None
* Return Value : None
* Others       : 
*------------------------- Revision History -------------------
* No. Version Date      Revised by   Item      Description     
* 1   V1.0    2011-1-23    AdhocNet  Original Version             
*****************************************************************/
#pragma vector=18 
__interrupt void uart0_receive(void)
{
    if(stUart.u16Count < UART_BUF_SIZE)
    {
        stUart.RxOK    = 0;
        stUart.u8Timer = 0;
        stUart.Buf[stUart.u16Count++] = u0rb;
    }
    else
    {
        stUart.RxOK = 1;
    }
}

bool Uart_SendData(const uint8 *ptr, uint8 len)
{
    //ѯʽ
    uint8 u8loop;
    
    if(NULL == ptr)
    {
        return FALSE;
    }   
    //LED_UART_TX_ON;
    for(u8loop = 0; u8loop < len; u8loop++)
    {
        Uart_Putc(ptr[u8loop]);
    }
    //LED_UART_TX_OFF;
    LED_TOG(HAL_LED_TX);
    return TRUE;
}

// ѯʽһֽ
void Uart_Putc(uint8 c)
{
    while(!(u0c1&0x02));   // ȴһֽڷͽ
    u0tbl =  c;
}

/* printf
int putchar(int c)
{
    Uart_Putc(c);
    return c;
}
*/


